# ncurses 5.9 - patch  - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 5.9 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 5.9 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/5.9
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-5.9-20140906.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Sep  7 00:48:01 UTC 2014
# ------------------------------------------------------------------------------
# NEWS                             |    7 
# dist.mk                          |    4 
# include/ncurses_defs             |    3 
# ncurses/base/lib_bkgd.c          |    6 
# ncurses/curses.priv.h            |    4 
# ncurses/tty/lib_vidattr.c        |    3 
# package/debian-mingw/changelog   |    4 
# package/debian-mingw64/changelog |    4 
# package/debian/changelog         |    4 
# package/mingw-ncurses.nsi        |    4 
# package/mingw-ncurses.spec       |    2 
# package/ncurses.spec             |    2 
# test/configure                   |  613 ++++++++++++++++++-------------------
# test/configure.in                |    3 
# test/demo_menus.c                |   22 -
# test/demo_termcap.c              |   12 
# test/demo_terminfo.c             |   24 -
# test/edit_field.c                |    4 
# test/test.priv.h                 |   12 
# 19 files changed, 380 insertions(+), 357 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.2264 
--- ncurses-5.9-20140831+/NEWS	2014-08-31 23:12:07.000000000 +0000
+++ ncurses-5.9-20140906/NEWS	2014-09-05 08:44:01.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2264 2014/08/31 23:12:07 tom Exp $
+-- $Id: NEWS,v 1.2267 2014/09/05 08:44:01 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,11 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20140906
+	+ build-fix and other improvements for port of ncurses-examples to
+	  NetBSD.
+	+ minor compiler-warning fixes.
+
 20140831
 	+ modify test/demo_termcap.c and test/demo_terminfo.c to make their
 	  options more directly comparable, and add "-i" option to specify
Index: dist.mk
Prereq:  1.1004 
--- ncurses-5.9-20140831+/dist.mk	2014-08-31 21:30:11.000000000 +0000
+++ ncurses-5.9-20140906/dist.mk	2014-09-01 19:08:08.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.1004 2014/08/31 21:30:11 tom Exp $
+# $Id: dist.mk,v 1.1005 2014/09/01 19:08:08 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 9
-NCURSES_PATCH = 20140831
+NCURSES_PATCH = 20140906
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: include/ncurses_defs
Prereq:  1.65 
--- ncurses-5.9-20140831+/include/ncurses_defs	2014-07-19 23:15:24.000000000 +0000
+++ ncurses-5.9-20140906/include/ncurses_defs	2014-09-05 08:46:16.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: ncurses_defs,v 1.65 2014/07/19 23:15:24 tom Exp $
+# $Id: ncurses_defs,v 1.66 2014/09/05 08:46:16 tom Exp $
 ##############################################################################
 # Copyright (c) 2000-2013,2014 Free Software Foundation, Inc.                #
 #                                                                            #
@@ -166,6 +166,7 @@
 HAVE_UNLINK
 HAVE_USE_DEFAULT_COLORS
 HAVE_USE_ENV	1
+HAVE_USE_EXTENDED_NAMES
 HAVE_USE_SCREEN
 HAVE_USE_WINDOW
 HAVE_VFSCANF
Index: ncurses/base/lib_bkgd.c
Prereq:  1.48 
--- ncurses-5.9-20140831+/ncurses/base/lib_bkgd.c	2012-12-09 01:01:19.000000000 +0000
+++ ncurses-5.9-20140906/ncurses/base/lib_bkgd.c	2014-09-04 09:36:20.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2011,2012 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2012,2014 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -36,7 +36,7 @@
 
 #include <curses.priv.h>
 
-MODULE_ID("$Id: lib_bkgd.c,v 1.48 2012/12/09 01:01:19 tom Exp $")
+MODULE_ID("$Id: lib_bkgd.c,v 1.49 2014/09/04 09:36:20 tom Exp $")
 
 /*
  * Set the window's background information.
@@ -127,7 +127,7 @@
 	NCURSES_CH_T old_bkgrnd;
 
 	memset(&old_bkgrnd, 0, sizeof(old_bkgrnd));
-	wgetbkgrnd(win, &old_bkgrnd);
+	(void) wgetbkgrnd(win, &old_bkgrnd);
 
 	(void) wbkgrndset(win, CHREF(new_bkgd));
 	(void) wattrset(win, (int) AttrOf(win->_nc_bkgd));
Index: ncurses/curses.priv.h
Prereq:  1.538 
--- ncurses-5.9-20140831+/ncurses/curses.priv.h	2014-07-12 20:06:11.000000000 +0000
+++ ncurses-5.9-20140906/ncurses/curses.priv.h	2014-09-04 22:52:07.000000000 +0000
@@ -34,7 +34,7 @@
  ****************************************************************************/
 
 /*
- * $Id: curses.priv.h,v 1.538 2014/07/12 20:06:11 tom Exp $
+ * $Id: curses.priv.h,v 1.539 2014/09/04 22:52:07 tom Exp $
  *
  *	curses.priv.h
  *
@@ -314,7 +314,7 @@
 #undef _XOPEN_SOURCE_EXTENDED
 #undef _XPG5
 #define _nc_bkgd    _bkgd
-#define wgetbkgrnd(win, wch)	*wch = win->_bkgd
+#define wgetbkgrnd(win, wch)	((*wch = win->_bkgd) != 0 ? OK : ERR)
 #define wbkgrnd	    wbkgd
 #endif
 
Index: ncurses/tty/lib_vidattr.c
Prereq:  1.70 
--- ncurses-5.9-20140831+/ncurses/tty/lib_vidattr.c	2014-06-07 22:21:14.000000000 +0000
+++ ncurses-5.9-20140906/ncurses/tty/lib_vidattr.c	2014-09-04 22:01:27.000000000 +0000
@@ -69,7 +69,7 @@
 #define CUR SP_TERMTYPE
 #endif
 
-MODULE_ID("$Id: lib_vidattr.c,v 1.70 2014/06/07 22:21:14 tom Exp $")
+MODULE_ID("$Id: lib_vidattr.c,v 1.71 2014/09/04 22:01:27 tom Exp $")
 
 #define doPut(mode) \
 	TPUTS_TRACE(#mode); \
@@ -213,7 +213,6 @@
     }
 
     turn_off = (~newmode & PreviousAttr) & ALL_BUT_COLOR;
-    turn_on = (newmode & ~PreviousAttr) & ALL_BUT_COLOR;
     turn_on = (newmode & ~(PreviousAttr & TPARM_ATTR)) & ALL_BUT_COLOR;
 
     SetColorsIf(((pair == 0) && !fix_pair0), PreviousAttr);
Index: package/debian-mingw/changelog
--- ncurses-5.9-20140831+/package/debian-mingw/changelog	2014-08-31 21:30:11.000000000 +0000
+++ ncurses-5.9-20140906/package/debian-mingw/changelog	2014-09-01 19:08:08.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20140831) unstable; urgency=low
+ncurses6 (5.9-20140906) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 31 Aug 2014 17:30:11 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 01 Sep 2014 15:08:08 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/changelog
--- ncurses-5.9-20140831+/package/debian-mingw64/changelog	2014-08-31 21:30:11.000000000 +0000
+++ ncurses-5.9-20140906/package/debian-mingw64/changelog	2014-09-01 19:08:08.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20140831) unstable; urgency=low
+ncurses6 (5.9-20140906) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 31 Aug 2014 17:30:11 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 01 Sep 2014 15:08:08 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian/changelog
--- ncurses-5.9-20140831+/package/debian/changelog	2014-08-31 21:30:11.000000000 +0000
+++ ncurses-5.9-20140906/package/debian/changelog	2014-09-01 19:08:08.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20140831) unstable; urgency=low
+ncurses6 (5.9-20140906) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 31 Aug 2014 17:30:11 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 01 Sep 2014 15:08:08 -0400
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
Prereq:  1.59 
--- ncurses-5.9-20140831+/package/mingw-ncurses.nsi	2014-08-31 21:30:11.000000000 +0000
+++ ncurses-5.9-20140906/package/mingw-ncurses.nsi	2014-09-01 19:08:08.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.59 2014/08/31 21:30:11 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.60 2014/09/01 19:08:08 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "5"
 !define VERSION_MINOR "9"
 !define VERSION_YYYY  "2014"
-!define VERSION_MMDD  "0831"
+!define VERSION_MMDD  "0906"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-5.9-20140831+/package/mingw-ncurses.spec	2014-08-31 21:30:11.000000000 +0000
+++ ncurses-5.9-20140906/package/mingw-ncurses.spec	2014-09-01 19:08:08.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 5.9
-Release: 20140831
+Release: 20140906
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-5.9-20140831+/package/ncurses.spec	2014-08-31 21:30:11.000000000 +0000
+++ ncurses-5.9-20140906/package/ncurses.spec	2014-09-01 19:08:08.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 5.9
-Release: 20140831
+Release: 20140906
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: test/configure
--- ncurses-5.9-20140831+/test/configure	2014-07-26 21:32:27.000000000 +0000
+++ ncurses-5.9-20140906/test/configure	2014-09-05 08:56:19.000000000 +0000
@@ -14056,6 +14056,7 @@
 typeahead \
 use_default_colors \
 use_env \
+use_extended_names \
 use_screen \
 use_window \
 vid_puts \
@@ -14071,10 +14072,10 @@
 
 cf_tr_func=`echo "$cf_func" | sed y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%`
 
-	echo "$as_me:14074: checking for ${cf_func}" >&5
+	echo "$as_me:14075: checking for ${cf_func}" >&5
 echo $ECHO_N "checking for ${cf_func}... $ECHO_C" >&6
 
-echo "${as_me:-configure}:14077: testing ${cf_func} ..." 1>&5
+echo "${as_me:-configure}:14078: testing ${cf_func} ..." 1>&5
 
 	if eval "test \"\${cf_cv_func_$cf_func+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -14083,7 +14084,7 @@
 		eval cf_result='$ac_cv_func_'$cf_func
 		if test ".$cf_result" != ".no"; then
 			cat >conftest.$ac_ext <<_ACEOF
-#line 14086 "configure"
+#line 14087 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -14116,16 +14117,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14119: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14120: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14122: \$? = $ac_status" >&5
+  echo "$as_me:14123: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14125: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14126: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14128: \$? = $ac_status" >&5
+  echo "$as_me:14129: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -14141,7 +14142,7 @@
 
 	# use the computed/retrieved cache-value:
 	eval 'cf_result=$cf_cv_func_'$cf_func
-	echo "$as_me:14144: result: $cf_result" >&5
+	echo "$as_me:14145: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 	if test $cf_result != no; then
 		cat >>confdefs.h <<EOF
@@ -14156,10 +14157,10 @@
 
 cf_tr_func=`echo "$cf_func" | sed y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%`
 
-	echo "$as_me:14159: checking for ${cf_func}" >&5
+	echo "$as_me:14160: checking for ${cf_func}" >&5
 echo $ECHO_N "checking for ${cf_func}... $ECHO_C" >&6
 
-echo "${as_me:-configure}:14162: testing ${cf_func} ..." 1>&5
+echo "${as_me:-configure}:14163: testing ${cf_func} ..." 1>&5
 
 	if eval "test \"\${cf_cv_func_$cf_func+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -14168,7 +14169,7 @@
 		eval cf_result='$ac_cv_func_'$cf_func
 		if test ".$cf_result" != ".no"; then
 			cat >conftest.$ac_ext <<_ACEOF
-#line 14171 "configure"
+#line 14172 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -14201,16 +14202,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14204: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14205: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14207: \$? = $ac_status" >&5
+  echo "$as_me:14208: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14210: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14211: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14213: \$? = $ac_status" >&5
+  echo "$as_me:14214: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -14226,7 +14227,7 @@
 
 	# use the computed/retrieved cache-value:
 	eval 'cf_result=$cf_cv_func_'$cf_func
-	echo "$as_me:14229: result: $cf_result" >&5
+	echo "$as_me:14230: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 	if test $cf_result != no; then
 		cat >>confdefs.h <<EOF
@@ -14250,7 +14251,7 @@
 				cf_return="return value"
 			fi
 			cat >conftest.$ac_ext <<_ACEOF
-#line 14253 "configure"
+#line 14254 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -14270,21 +14271,21 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14273: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14274: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14276: \$? = $ac_status" >&5
+  echo "$as_me:14277: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14279: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14280: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14282: \$? = $ac_status" >&5
+  echo "$as_me:14283: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 		test -n "$verbose" && echo "	prototype $cf_ret func($cf_arg value)" 1>&6
 
-echo "${as_me:-configure}:14287: testing prototype $cf_ret func($cf_arg value) ..." 1>&5
+echo "${as_me:-configure}:14288: testing prototype $cf_ret func($cf_arg value) ..." 1>&5
 
 		cat >>confdefs.h <<EOF
 #define TPUTS_ARG               $cf_arg
@@ -14304,14 +14305,14 @@
 	done
 fi
 
-echo "$as_me:14307: checking for ncurses extended functions" >&5
+echo "$as_me:14308: checking for ncurses extended functions" >&5
 echo $ECHO_N "checking for ncurses extended functions... $ECHO_C" >&6
 if test "${cf_cv_ncurses_ext_funcs+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 14314 "configure"
+#line 14315 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -14326,16 +14327,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14329: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14330: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14332: \$? = $ac_status" >&5
+  echo "$as_me:14333: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14335: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14336: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14338: \$? = $ac_status" >&5
+  echo "$as_me:14339: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_ncurses_ext_funcs=defined
 else
@@ -14343,7 +14344,7 @@
 cat conftest.$ac_ext >&5
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 14346 "configure"
+#line 14347 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -14368,16 +14369,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14371: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14372: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14374: \$? = $ac_status" >&5
+  echo "$as_me:14375: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14377: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14378: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14380: \$? = $ac_status" >&5
+  echo "$as_me:14381: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_ncurses_ext_funcs=yes
 else
@@ -14391,7 +14392,7 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 
 fi
-echo "$as_me:14394: result: $cf_cv_ncurses_ext_funcs" >&5
+echo "$as_me:14395: result: $cf_cv_ncurses_ext_funcs" >&5
 echo "${ECHO_T}$cf_cv_ncurses_ext_funcs" >&6
 test "$cf_cv_ncurses_ext_funcs" = yes &&
 cat >>confdefs.h <<\EOF
@@ -14405,11 +14406,11 @@
 	if test -n "$cf_cv_ncurses_version" && test "x$cf_cv_ncurses_version" != xno
 	then
 		cf_define_xpg5=no
-		echo "$as_me:14408: checking if _XPG5 should be defined to enable wide-characters" >&5
+		echo "$as_me:14409: checking if _XPG5 should be defined to enable wide-characters" >&5
 echo $ECHO_N "checking if _XPG5 should be defined to enable wide-characters... $ECHO_C" >&6
 
 		cat >conftest.$ac_ext <<_ACEOF
-#line 14412 "configure"
+#line 14413 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -14422,16 +14423,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14425: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14426: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14428: \$? = $ac_status" >&5
+  echo "$as_me:14429: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14431: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14432: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14434: \$? = $ac_status" >&5
+  echo "$as_me:14435: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -14440,7 +14441,7 @@
 cf_save_cppflags="$CPPFLAGS"
 			 CPPFLAGS="$CPPFLAGS -D_XPG5"
 			 cat >conftest.$ac_ext <<_ACEOF
-#line 14443 "configure"
+#line 14444 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -14453,16 +14454,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14456: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14457: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14459: \$? = $ac_status" >&5
+  echo "$as_me:14460: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14462: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14463: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14465: \$? = $ac_status" >&5
+  echo "$as_me:14466: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_define_xpg5=yes
 else
@@ -14473,7 +14474,7 @@
 			 CPPFLAGS="$cf_save_cppflags"
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-		echo "$as_me:14476: result: $cf_define_xpg5" >&5
+		echo "$as_me:14477: result: $cf_define_xpg5" >&5
 echo "${ECHO_T}$cf_define_xpg5" >&6
 
 		if test "$cf_define_xpg5" = yes
@@ -14482,14 +14483,14 @@
 		fi
 	fi
 
-	echo "$as_me:14485: checking for wide-character functions" >&5
+	echo "$as_me:14486: checking for wide-character functions" >&5
 echo $ECHO_N "checking for wide-character functions... $ECHO_C" >&6
 if test "${cf_cv_widechar_funcs+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 14492 "configure"
+#line 14493 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -14506,16 +14507,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14509: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14510: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14512: \$? = $ac_status" >&5
+  echo "$as_me:14513: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14515: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14516: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14518: \$? = $ac_status" >&5
+  echo "$as_me:14519: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_widechar_funcs=yes
 else
@@ -14526,7 +14527,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:14529: result: $cf_cv_widechar_funcs" >&5
+echo "$as_me:14530: result: $cf_cv_widechar_funcs" >&5
 echo "${ECHO_T}$cf_cv_widechar_funcs" >&6
 	if test "$cf_cv_widechar_funcs" != no ; then
 
@@ -14547,14 +14548,14 @@
 
 fi
 
-echo "$as_me:14550: checking if sys/time.h works with sys/select.h" >&5
+echo "$as_me:14551: checking if sys/time.h works with sys/select.h" >&5
 echo $ECHO_N "checking if sys/time.h works with sys/select.h... $ECHO_C" >&6
 if test "${cf_cv_sys_time_select+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 14557 "configure"
+#line 14558 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -14574,16 +14575,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14577: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14578: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14580: \$? = $ac_status" >&5
+  echo "$as_me:14581: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14583: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14584: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14586: \$? = $ac_status" >&5
+  echo "$as_me:14587: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_sys_time_select=yes
 else
@@ -14595,14 +14596,14 @@
 
 fi
 
-echo "$as_me:14598: result: $cf_cv_sys_time_select" >&5
+echo "$as_me:14599: result: $cf_cv_sys_time_select" >&5
 echo "${ECHO_T}$cf_cv_sys_time_select" >&6
 test "$cf_cv_sys_time_select" = yes &&
 cat >>confdefs.h <<\EOF
 #define HAVE_SYS_TIME_SELECT 1
 EOF
 
-echo "$as_me:14605: checking for function curses_version" >&5
+echo "$as_me:14606: checking for function curses_version" >&5
 echo $ECHO_N "checking for function curses_version... $ECHO_C" >&6
 if test "${cf_cv_func_curses_version+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -14612,7 +14613,7 @@
   cf_cv_func_curses_version=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 14615 "configure"
+#line 14616 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -14625,15 +14626,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:14628: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14629: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14631: \$? = $ac_status" >&5
+  echo "$as_me:14632: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:14633: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14634: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14636: \$? = $ac_status" >&5
+  echo "$as_me:14637: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_curses_version=yes
 
@@ -14648,14 +14649,14 @@
 fi
 rm -f core
 fi
-echo "$as_me:14651: result: $cf_cv_func_curses_version" >&5
+echo "$as_me:14652: result: $cf_cv_func_curses_version" >&5
 echo "${ECHO_T}$cf_cv_func_curses_version" >&6
 test "$cf_cv_func_curses_version" = yes &&
 cat >>confdefs.h <<\EOF
 #define HAVE_CURSES_VERSION 1
 EOF
 
-echo "$as_me:14658: checking for alternate character set array" >&5
+echo "$as_me:14659: checking for alternate character set array" >&5
 echo $ECHO_N "checking for alternate character set array... $ECHO_C" >&6
 if test "${cf_cv_curses_acs_map+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -14665,7 +14666,7 @@
 for name in acs_map _acs_map __acs_map ${NCURSES_WRAP_PREFIX}acs_map
 do
 cat >conftest.$ac_ext <<_ACEOF
-#line 14668 "configure"
+#line 14669 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -14681,16 +14682,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14684: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14685: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14687: \$? = $ac_status" >&5
+  echo "$as_me:14688: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14690: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14691: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14693: \$? = $ac_status" >&5
+  echo "$as_me:14694: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_curses_acs_map=$name; break
 else
@@ -14701,7 +14702,7 @@
 done
 
 fi
-echo "$as_me:14704: result: $cf_cv_curses_acs_map" >&5
+echo "$as_me:14705: result: $cf_cv_curses_acs_map" >&5
 echo "${ECHO_T}$cf_cv_curses_acs_map" >&6
 
 test "$cf_cv_curses_acs_map" != unknown &&
@@ -14711,7 +14712,7 @@
 
 if test "$cf_enable_widec" = yes; then
 
-echo "$as_me:14714: checking for wide alternate character set array" >&5
+echo "$as_me:14715: checking for wide alternate character set array" >&5
 echo $ECHO_N "checking for wide alternate character set array... $ECHO_C" >&6
 if test "${cf_cv_curses_wacs_map+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -14721,7 +14722,7 @@
 	for name in wacs_map _wacs_map __wacs_map _nc_wacs _wacs_char
 	do
 	cat >conftest.$ac_ext <<_ACEOF
-#line 14724 "configure"
+#line 14725 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -14737,16 +14738,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14740: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14741: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14743: \$? = $ac_status" >&5
+  echo "$as_me:14744: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14746: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14747: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14749: \$? = $ac_status" >&5
+  echo "$as_me:14750: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_curses_wacs_map=$name
 	 break
@@ -14757,7 +14758,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 	done
 fi
-echo "$as_me:14760: result: $cf_cv_curses_wacs_map" >&5
+echo "$as_me:14761: result: $cf_cv_curses_wacs_map" >&5
 echo "${ECHO_T}$cf_cv_curses_wacs_map" >&6
 
 test "$cf_cv_curses_wacs_map" != unknown &&
@@ -14765,7 +14766,7 @@
 #define CURSES_WACS_ARRAY $cf_cv_curses_wacs_map
 EOF
 
-echo "$as_me:14768: checking for wide alternate character constants" >&5
+echo "$as_me:14769: checking for wide alternate character constants" >&5
 echo $ECHO_N "checking for wide alternate character constants... $ECHO_C" >&6
 if test "${cf_cv_curses_wacs_symbols+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -14775,7 +14776,7 @@
 if test "$cf_cv_curses_wacs_map" != unknown
 then
 	cat >conftest.$ac_ext <<_ACEOF
-#line 14778 "configure"
+#line 14779 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -14792,16 +14793,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14795: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14796: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14798: \$? = $ac_status" >&5
+  echo "$as_me:14799: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14801: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14802: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14804: \$? = $ac_status" >&5
+  echo "$as_me:14805: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_curses_wacs_symbols=yes
 else
@@ -14811,7 +14812,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 else
 	cat >conftest.$ac_ext <<_ACEOF
-#line 14814 "configure"
+#line 14815 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -14827,16 +14828,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14830: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14831: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14833: \$? = $ac_status" >&5
+  echo "$as_me:14834: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14836: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14837: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14839: \$? = $ac_status" >&5
+  echo "$as_me:14840: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_curses_wacs_symbols=yes
 else
@@ -14847,7 +14848,7 @@
 fi
 
 fi
-echo "$as_me:14850: result: $cf_cv_curses_wacs_symbols" >&5
+echo "$as_me:14851: result: $cf_cv_curses_wacs_symbols" >&5
 echo "${ECHO_T}$cf_cv_curses_wacs_symbols" >&6
 
 test "$cf_cv_curses_wacs_symbols" != no &&
@@ -14857,10 +14858,10 @@
 
 fi
 
-echo "$as_me:14860: checking for type attr_t in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:14861: checking for type attr_t in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for type attr_t in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 14863 "configure"
+#line 14864 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -14878,16 +14879,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14881: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14882: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14884: \$? = $ac_status" >&5
+  echo "$as_me:14885: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14887: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14888: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14890: \$? = $ac_status" >&5
+  echo "$as_me:14891: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -14896,7 +14897,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:14899: result: $cf_result" >&5
+echo "$as_me:14900: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 if test $cf_result = yes ; then
 
@@ -14917,14 +14918,14 @@
 if test "$cf_enable_widec" = yes; then
 
 # This is needed on Tru64 5.0 to declare mbstate_t
-echo "$as_me:14920: checking if we must include wchar.h to declare mbstate_t" >&5
+echo "$as_me:14921: checking if we must include wchar.h to declare mbstate_t" >&5
 echo $ECHO_N "checking if we must include wchar.h to declare mbstate_t... $ECHO_C" >&6
 if test "${cf_cv_mbstate_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 14927 "configure"
+#line 14928 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -14942,23 +14943,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14945: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14946: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14948: \$? = $ac_status" >&5
+  echo "$as_me:14949: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14951: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14952: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14954: \$? = $ac_status" >&5
+  echo "$as_me:14955: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_mbstate_t=no
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 14961 "configure"
+#line 14962 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -14977,16 +14978,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14980: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14981: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14983: \$? = $ac_status" >&5
+  echo "$as_me:14984: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14986: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14987: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14989: \$? = $ac_status" >&5
+  echo "$as_me:14990: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_mbstate_t=yes
 else
@@ -14998,7 +14999,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:15001: result: $cf_cv_mbstate_t" >&5
+echo "$as_me:15002: result: $cf_cv_mbstate_t" >&5
 echo "${ECHO_T}$cf_cv_mbstate_t" >&6
 
 if test "$cf_cv_mbstate_t" = yes ; then
@@ -15021,14 +15022,14 @@
 fi
 
 # This is needed on Tru64 5.0 to declare wchar_t
-echo "$as_me:15024: checking if we must include wchar.h to declare wchar_t" >&5
+echo "$as_me:15025: checking if we must include wchar.h to declare wchar_t" >&5
 echo $ECHO_N "checking if we must include wchar.h to declare wchar_t... $ECHO_C" >&6
 if test "${cf_cv_wchar_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15031 "configure"
+#line 15032 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -15046,23 +15047,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15049: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15050: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15052: \$? = $ac_status" >&5
+  echo "$as_me:15053: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15055: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15056: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15058: \$? = $ac_status" >&5
+  echo "$as_me:15059: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wchar_t=no
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 15065 "configure"
+#line 15066 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -15081,16 +15082,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15084: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15085: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15087: \$? = $ac_status" >&5
+  echo "$as_me:15088: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15090: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15091: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15093: \$? = $ac_status" >&5
+  echo "$as_me:15094: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wchar_t=yes
 else
@@ -15102,7 +15103,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:15105: result: $cf_cv_wchar_t" >&5
+echo "$as_me:15106: result: $cf_cv_wchar_t" >&5
 echo "${ECHO_T}$cf_cv_wchar_t" >&6
 
 if test "$cf_cv_wchar_t" = yes ; then
@@ -15125,14 +15126,14 @@
 fi
 
 # This is needed on Tru64 5.0 to declare wint_t
-echo "$as_me:15128: checking if we must include wchar.h to declare wint_t" >&5
+echo "$as_me:15129: checking if we must include wchar.h to declare wint_t" >&5
 echo $ECHO_N "checking if we must include wchar.h to declare wint_t... $ECHO_C" >&6
 if test "${cf_cv_wint_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15135 "configure"
+#line 15136 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -15150,23 +15151,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15153: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15154: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15156: \$? = $ac_status" >&5
+  echo "$as_me:15157: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15159: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15160: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15162: \$? = $ac_status" >&5
+  echo "$as_me:15163: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wint_t=no
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 15169 "configure"
+#line 15170 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -15185,16 +15186,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15188: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15189: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15191: \$? = $ac_status" >&5
+  echo "$as_me:15192: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15194: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15195: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15197: \$? = $ac_status" >&5
+  echo "$as_me:15198: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wint_t=yes
 else
@@ -15206,7 +15207,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:15209: result: $cf_cv_wint_t" >&5
+echo "$as_me:15210: result: $cf_cv_wint_t" >&5
 echo "${ECHO_T}$cf_cv_wint_t" >&6
 
 if test "$cf_cv_wint_t" = yes ; then
@@ -15230,10 +15231,10 @@
 
 	if test "$NCURSES_OK_MBSTATE_T" = 0 ; then
 
-echo "$as_me:15233: checking for type mbstate_t in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:15234: checking for type mbstate_t in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for type mbstate_t in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 15236 "configure"
+#line 15237 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -15251,16 +15252,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15254: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15255: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15257: \$? = $ac_status" >&5
+  echo "$as_me:15258: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15260: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15261: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15263: \$? = $ac_status" >&5
+  echo "$as_me:15264: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -15269,7 +15270,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:15272: result: $cf_result" >&5
+echo "$as_me:15273: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 if test $cf_result = yes ; then
 
@@ -15291,10 +15292,10 @@
 
 	if test "$NCURSES_OK_WCHAR_T" = 0 ; then
 
-echo "$as_me:15294: checking for type wchar_t in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:15295: checking for type wchar_t in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for type wchar_t in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 15297 "configure"
+#line 15298 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -15312,16 +15313,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15315: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15316: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15318: \$? = $ac_status" >&5
+  echo "$as_me:15319: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15321: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15322: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15324: \$? = $ac_status" >&5
+  echo "$as_me:15325: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -15330,7 +15331,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:15333: result: $cf_result" >&5
+echo "$as_me:15334: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 if test $cf_result = yes ; then
 
@@ -15352,10 +15353,10 @@
 
 	if test "$NCURSES_OK_WINT_T" = 0 ; then
 
-echo "$as_me:15355: checking for type wint_t in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:15356: checking for type wint_t in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for type wint_t in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 15358 "configure"
+#line 15359 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -15373,16 +15374,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15376: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15377: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15379: \$? = $ac_status" >&5
+  echo "$as_me:15380: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15382: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15383: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15385: \$? = $ac_status" >&5
+  echo "$as_me:15386: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -15391,7 +15392,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:15394: result: $cf_result" >&5
+echo "$as_me:15395: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 if test $cf_result = yes ; then
 
@@ -15412,11 +15413,11 @@
 	fi
 fi
 
-echo "$as_me:15415: checking for data boolnames declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:15416: checking for data boolnames declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for data boolnames declaration in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15419 "configure"
+#line 15420 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -15444,16 +15445,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15447: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15448: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15450: \$? = $ac_status" >&5
+  echo "$as_me:15451: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15453: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15454: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15456: \$? = $ac_status" >&5
+  echo "$as_me:15457: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -15462,7 +15463,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:15465: result: $cf_result" >&5
+echo "$as_me:15466: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 
 if test $cf_result = yes ; then
@@ -15474,14 +15475,14 @@
 EOF
 
 else
-	echo "$as_me:15477: checking for data boolnames in library" >&5
+	echo "$as_me:15478: checking for data boolnames in library" >&5
 echo $ECHO_N "checking for data boolnames in library... $ECHO_C" >&6
 	# BSD linkers insist on making weak linkage, but resolve at runtime.
 	if test "$cross_compiling" = yes; then
 
 	# cross-compiling
 	cat >conftest.$ac_ext <<_ACEOF
-#line 15484 "configure"
+#line 15485 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -15514,16 +15515,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15517: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15518: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15520: \$? = $ac_status" >&5
+  echo "$as_me:15521: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15523: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15524: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15526: \$? = $ac_status" >&5
+  echo "$as_me:15527: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -15535,7 +15536,7 @@
 
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 15538 "configure"
+#line 15539 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -15561,15 +15562,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:15564: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15565: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15567: \$? = $ac_status" >&5
+  echo "$as_me:15568: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:15569: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15570: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15572: \$? = $ac_status" >&5
+  echo "$as_me:15573: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -15580,7 +15581,7 @@
 fi
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
-	echo "$as_me:15583: result: $cf_result" >&5
+	echo "$as_me:15584: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 	if test $cf_result = yes ; then
 
@@ -15593,11 +15594,11 @@
 	fi
 fi
 
-echo "$as_me:15596: checking for data boolfnames declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:15597: checking for data boolfnames declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for data boolfnames declaration in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15600 "configure"
+#line 15601 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -15625,16 +15626,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15628: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15629: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15631: \$? = $ac_status" >&5
+  echo "$as_me:15632: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15634: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15635: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15637: \$? = $ac_status" >&5
+  echo "$as_me:15638: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -15643,7 +15644,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:15646: result: $cf_result" >&5
+echo "$as_me:15647: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 
 if test $cf_result = yes ; then
@@ -15655,14 +15656,14 @@
 EOF
 
 else
-	echo "$as_me:15658: checking for data boolfnames in library" >&5
+	echo "$as_me:15659: checking for data boolfnames in library" >&5
 echo $ECHO_N "checking for data boolfnames in library... $ECHO_C" >&6
 	# BSD linkers insist on making weak linkage, but resolve at runtime.
 	if test "$cross_compiling" = yes; then
 
 	# cross-compiling
 	cat >conftest.$ac_ext <<_ACEOF
-#line 15665 "configure"
+#line 15666 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -15695,16 +15696,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15698: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15699: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15701: \$? = $ac_status" >&5
+  echo "$as_me:15702: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15704: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15705: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15707: \$? = $ac_status" >&5
+  echo "$as_me:15708: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -15716,7 +15717,7 @@
 
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 15719 "configure"
+#line 15720 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -15742,15 +15743,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:15745: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15746: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15748: \$? = $ac_status" >&5
+  echo "$as_me:15749: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:15750: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15751: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15753: \$? = $ac_status" >&5
+  echo "$as_me:15754: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -15761,7 +15762,7 @@
 fi
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
-	echo "$as_me:15764: result: $cf_result" >&5
+	echo "$as_me:15765: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 	if test $cf_result = yes ; then
 
@@ -15776,7 +15777,7 @@
 
 if ( test "$GCC" = yes || test "$GXX" = yes )
 then
-echo "$as_me:15779: checking if you want to turn on gcc warnings" >&5
+echo "$as_me:15780: checking if you want to turn on gcc warnings" >&5
 echo $ECHO_N "checking if you want to turn on gcc warnings... $ECHO_C" >&6
 
 # Check whether --enable-warnings or --disable-warnings was given.
@@ -15793,7 +15794,7 @@
   with_warnings=no
 
 fi;
-echo "$as_me:15796: result: $with_warnings" >&5
+echo "$as_me:15797: result: $with_warnings" >&5
 echo "${ECHO_T}$with_warnings" >&6
 if test "$with_warnings" = "yes"
 then
@@ -15816,10 +15817,10 @@
 EOF
 if test "$GCC" = yes
 then
-	{ echo "$as_me:15819: checking for $CC __attribute__ directives..." >&5
+	{ echo "$as_me:15820: checking for $CC __attribute__ directives..." >&5
 echo "$as_me: checking for $CC __attribute__ directives..." >&6;}
 cat > conftest.$ac_ext <<EOF
-#line 15822 "${as_me:-configure}"
+#line 15823 "${as_me:-configure}"
 #include "confdefs.h"
 #include "conftest.h"
 #include "conftest.i"
@@ -15868,12 +15869,12 @@
 			;;
 		esac
 
-		if { (eval echo "$as_me:15871: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:15872: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15874: \$? = $ac_status" >&5
+  echo "$as_me:15875: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-			test -n "$verbose" && echo "$as_me:15876: result: ... $cf_attribute" >&5
+			test -n "$verbose" && echo "$as_me:15877: result: ... $cf_attribute" >&5
 echo "${ECHO_T}... $cf_attribute" >&6
 			cat conftest.h >>confdefs.h
 			case $cf_attribute in #(vi
@@ -15937,12 +15938,12 @@
 if test "$GCC" = yes ; then
 	case $host_os in
 	linux*|gnu*)
-		echo "$as_me:15940: checking if this is really Intel C compiler" >&5
+		echo "$as_me:15941: checking if this is really Intel C compiler" >&5
 echo $ECHO_N "checking if this is really Intel C compiler... $ECHO_C" >&6
 		cf_save_CFLAGS="$CFLAGS"
 		CFLAGS="$CFLAGS -no-gcc"
 		cat >conftest.$ac_ext <<_ACEOF
-#line 15945 "configure"
+#line 15946 "configure"
 #include "confdefs.h"
 
 int
@@ -15959,16 +15960,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15962: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15963: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15965: \$? = $ac_status" >&5
+  echo "$as_me:15966: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15968: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15969: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15971: \$? = $ac_status" >&5
+  echo "$as_me:15972: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   INTEL_COMPILER=yes
 cf_save_CFLAGS="$cf_save_CFLAGS -we147"
@@ -15979,7 +15980,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 		CFLAGS="$cf_save_CFLAGS"
-		echo "$as_me:15982: result: $INTEL_COMPILER" >&5
+		echo "$as_me:15983: result: $INTEL_COMPILER" >&5
 echo "${ECHO_T}$INTEL_COMPILER" >&6
 		;;
 	esac
@@ -15988,12 +15989,12 @@
 CLANG_COMPILER=no
 
 if test "$GCC" = yes ; then
-	echo "$as_me:15991: checking if this is really Clang C compiler" >&5
+	echo "$as_me:15992: checking if this is really Clang C compiler" >&5
 echo $ECHO_N "checking if this is really Clang C compiler... $ECHO_C" >&6
 	cf_save_CFLAGS="$CFLAGS"
 	CFLAGS="$CFLAGS -Qunused-arguments"
 	cat >conftest.$ac_ext <<_ACEOF
-#line 15996 "configure"
+#line 15997 "configure"
 #include "confdefs.h"
 
 int
@@ -16010,16 +16011,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16013: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16014: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16016: \$? = $ac_status" >&5
+  echo "$as_me:16017: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16019: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16020: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16022: \$? = $ac_status" >&5
+  echo "$as_me:16023: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   CLANG_COMPILER=yes
 cf_save_CFLAGS="$cf_save_CFLAGS -Qunused-arguments"
@@ -16030,12 +16031,12 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 	CFLAGS="$cf_save_CFLAGS"
-	echo "$as_me:16033: result: $CLANG_COMPILER" >&5
+	echo "$as_me:16034: result: $CLANG_COMPILER" >&5
 echo "${ECHO_T}$CLANG_COMPILER" >&6
 fi
 
 cat > conftest.$ac_ext <<EOF
-#line 16038 "${as_me:-configure}"
+#line 16039 "${as_me:-configure}"
 int main(int argc, char *argv[]) { return (argv[argc-1] == 0) ; }
 EOF
 
@@ -16052,7 +16053,7 @@
 # remark #981: operands are evaluated in unspecified order
 # warning #279: controlling expression is constant
 
-	{ echo "$as_me:16055: checking for $CC warning options..." >&5
+	{ echo "$as_me:16056: checking for $CC warning options..." >&5
 echo "$as_me: checking for $CC warning options..." >&6;}
 	cf_save_CFLAGS="$CFLAGS"
 	EXTRA_CFLAGS="-Wall"
@@ -16068,12 +16069,12 @@
 		wd981
 	do
 		CFLAGS="$cf_save_CFLAGS $EXTRA_CFLAGS -$cf_opt"
-		if { (eval echo "$as_me:16071: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:16072: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16074: \$? = $ac_status" >&5
+  echo "$as_me:16075: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-			test -n "$verbose" && echo "$as_me:16076: result: ... -$cf_opt" >&5
+			test -n "$verbose" && echo "$as_me:16077: result: ... -$cf_opt" >&5
 echo "${ECHO_T}... -$cf_opt" >&6
 			EXTRA_CFLAGS="$EXTRA_CFLAGS -$cf_opt"
 		fi
@@ -16082,7 +16083,7 @@
 
 elif test "$GCC" = yes
 then
-	{ echo "$as_me:16085: checking for $CC warning options..." >&5
+	{ echo "$as_me:16086: checking for $CC warning options..." >&5
 echo "$as_me: checking for $CC warning options..." >&6;}
 	cf_save_CFLAGS="$CFLAGS"
 	EXTRA_CFLAGS=
@@ -16106,12 +16107,12 @@
 		Wundef $cf_gcc_warnings $cf_warn_CONST
 	do
 		CFLAGS="$cf_save_CFLAGS $EXTRA_CFLAGS -$cf_opt"
-		if { (eval echo "$as_me:16109: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:16110: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16112: \$? = $ac_status" >&5
+  echo "$as_me:16113: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-			test -n "$verbose" && echo "$as_me:16114: result: ... -$cf_opt" >&5
+			test -n "$verbose" && echo "$as_me:16115: result: ... -$cf_opt" >&5
 echo "${ECHO_T}... -$cf_opt" >&6
 			case $cf_opt in #(vi
 			Wcast-qual) #(vi
@@ -16122,7 +16123,7 @@
 				[34].*)
 					test -n "$verbose" && echo "	feature is broken in gcc $GCC_VERSION" 1>&6
 
-echo "${as_me:-configure}:16125: testing feature is broken in gcc $GCC_VERSION ..." 1>&5
+echo "${as_me:-configure}:16126: testing feature is broken in gcc $GCC_VERSION ..." 1>&5
 
 					continue;;
 				esac
@@ -16132,7 +16133,7 @@
 				[12].*)
 					test -n "$verbose" && echo "	feature is broken in gcc $GCC_VERSION" 1>&6
 
-echo "${as_me:-configure}:16135: testing feature is broken in gcc $GCC_VERSION ..." 1>&5
+echo "${as_me:-configure}:16136: testing feature is broken in gcc $GCC_VERSION ..." 1>&5
 
 					continue;;
 				esac
@@ -16148,7 +16149,7 @@
 fi
 fi
 
-echo "$as_me:16151: checking if you want to use dmalloc for testing" >&5
+echo "$as_me:16152: checking if you want to use dmalloc for testing" >&5
 echo $ECHO_N "checking if you want to use dmalloc for testing... $ECHO_C" >&6
 
 # Check whether --with-dmalloc or --without-dmalloc was given.
@@ -16165,7 +16166,7 @@
 else
   with_dmalloc=
 fi;
-echo "$as_me:16168: result: ${with_dmalloc:-no}" >&5
+echo "$as_me:16169: result: ${with_dmalloc:-no}" >&5
 echo "${ECHO_T}${with_dmalloc:-no}" >&6
 
 case .$with_cflags in #(vi
@@ -16259,23 +16260,23 @@
 esac
 
 if test "$with_dmalloc" = yes ; then
-	echo "$as_me:16262: checking for dmalloc.h" >&5
+	echo "$as_me:16263: checking for dmalloc.h" >&5
 echo $ECHO_N "checking for dmalloc.h... $ECHO_C" >&6
 if test "${ac_cv_header_dmalloc_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16268 "configure"
+#line 16269 "configure"
 #include "confdefs.h"
 #include <dmalloc.h>
 _ACEOF
-if { (eval echo "$as_me:16272: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:16273: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:16278: \$? = $ac_status" >&5
+  echo "$as_me:16279: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -16294,11 +16295,11 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:16297: result: $ac_cv_header_dmalloc_h" >&5
+echo "$as_me:16298: result: $ac_cv_header_dmalloc_h" >&5
 echo "${ECHO_T}$ac_cv_header_dmalloc_h" >&6
 if test $ac_cv_header_dmalloc_h = yes; then
 
-echo "$as_me:16301: checking for dmalloc_debug in -ldmalloc" >&5
+echo "$as_me:16302: checking for dmalloc_debug in -ldmalloc" >&5
 echo $ECHO_N "checking for dmalloc_debug in -ldmalloc... $ECHO_C" >&6
 if test "${ac_cv_lib_dmalloc_dmalloc_debug+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -16306,7 +16307,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-ldmalloc  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 16309 "configure"
+#line 16310 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -16325,16 +16326,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16328: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16329: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16331: \$? = $ac_status" >&5
+  echo "$as_me:16332: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16334: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16335: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16337: \$? = $ac_status" >&5
+  echo "$as_me:16338: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_dmalloc_dmalloc_debug=yes
 else
@@ -16345,7 +16346,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:16348: result: $ac_cv_lib_dmalloc_dmalloc_debug" >&5
+echo "$as_me:16349: result: $ac_cv_lib_dmalloc_dmalloc_debug" >&5
 echo "${ECHO_T}$ac_cv_lib_dmalloc_dmalloc_debug" >&6
 if test $ac_cv_lib_dmalloc_dmalloc_debug = yes; then
   cat >>confdefs.h <<EOF
@@ -16360,7 +16361,7 @@
 
 fi
 
-echo "$as_me:16363: checking if you want to use dbmalloc for testing" >&5
+echo "$as_me:16364: checking if you want to use dbmalloc for testing" >&5
 echo $ECHO_N "checking if you want to use dbmalloc for testing... $ECHO_C" >&6
 
 # Check whether --with-dbmalloc or --without-dbmalloc was given.
@@ -16377,7 +16378,7 @@
 else
   with_dbmalloc=
 fi;
-echo "$as_me:16380: result: ${with_dbmalloc:-no}" >&5
+echo "$as_me:16381: result: ${with_dbmalloc:-no}" >&5
 echo "${ECHO_T}${with_dbmalloc:-no}" >&6
 
 case .$with_cflags in #(vi
@@ -16471,23 +16472,23 @@
 esac
 
 if test "$with_dbmalloc" = yes ; then
-	echo "$as_me:16474: checking for dbmalloc.h" >&5
+	echo "$as_me:16475: checking for dbmalloc.h" >&5
 echo $ECHO_N "checking for dbmalloc.h... $ECHO_C" >&6
 if test "${ac_cv_header_dbmalloc_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16480 "configure"
+#line 16481 "configure"
 #include "confdefs.h"
 #include <dbmalloc.h>
 _ACEOF
-if { (eval echo "$as_me:16484: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:16485: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:16490: \$? = $ac_status" >&5
+  echo "$as_me:16491: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -16506,11 +16507,11 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:16509: result: $ac_cv_header_dbmalloc_h" >&5
+echo "$as_me:16510: result: $ac_cv_header_dbmalloc_h" >&5
 echo "${ECHO_T}$ac_cv_header_dbmalloc_h" >&6
 if test $ac_cv_header_dbmalloc_h = yes; then
 
-echo "$as_me:16513: checking for debug_malloc in -ldbmalloc" >&5
+echo "$as_me:16514: checking for debug_malloc in -ldbmalloc" >&5
 echo $ECHO_N "checking for debug_malloc in -ldbmalloc... $ECHO_C" >&6
 if test "${ac_cv_lib_dbmalloc_debug_malloc+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -16518,7 +16519,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-ldbmalloc  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 16521 "configure"
+#line 16522 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -16537,16 +16538,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16540: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16541: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16543: \$? = $ac_status" >&5
+  echo "$as_me:16544: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16546: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16547: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16549: \$? = $ac_status" >&5
+  echo "$as_me:16550: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_dbmalloc_debug_malloc=yes
 else
@@ -16557,7 +16558,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:16560: result: $ac_cv_lib_dbmalloc_debug_malloc" >&5
+echo "$as_me:16561: result: $ac_cv_lib_dbmalloc_debug_malloc" >&5
 echo "${ECHO_T}$ac_cv_lib_dbmalloc_debug_malloc" >&6
 if test $ac_cv_lib_dbmalloc_debug_malloc = yes; then
   cat >>confdefs.h <<EOF
@@ -16572,7 +16573,7 @@
 
 fi
 
-echo "$as_me:16575: checking if you want to use valgrind for testing" >&5
+echo "$as_me:16576: checking if you want to use valgrind for testing" >&5
 echo $ECHO_N "checking if you want to use valgrind for testing... $ECHO_C" >&6
 
 # Check whether --with-valgrind or --without-valgrind was given.
@@ -16589,7 +16590,7 @@
 else
   with_valgrind=
 fi;
-echo "$as_me:16592: result: ${with_valgrind:-no}" >&5
+echo "$as_me:16593: result: ${with_valgrind:-no}" >&5
 echo "${ECHO_T}${with_valgrind:-no}" >&6
 
 case .$with_cflags in #(vi
@@ -16682,7 +16683,7 @@
 	;;
 esac
 
-echo "$as_me:16685: checking if you want to perform memory-leak testing" >&5
+echo "$as_me:16686: checking if you want to perform memory-leak testing" >&5
 echo $ECHO_N "checking if you want to perform memory-leak testing... $ECHO_C" >&6
 
 # Check whether --enable-leaks or --disable-leaks was given.
@@ -16692,7 +16693,7 @@
 else
   : ${with_no_leaks:=no}
 fi;
-echo "$as_me:16695: result: $with_no_leaks" >&5
+echo "$as_me:16696: result: $with_no_leaks" >&5
 echo "${ECHO_T}$with_no_leaks" >&6
 
 if test "$with_no_leaks" = yes ; then
@@ -16708,7 +16709,7 @@
 fi
 
 LD_RPATH_OPT=
-echo "$as_me:16711: checking for an rpath option" >&5
+echo "$as_me:16712: checking for an rpath option" >&5
 echo $ECHO_N "checking for an rpath option... $ECHO_C" >&6
 case $cf_cv_system_name in #(vi
 irix*) #(vi
@@ -16739,12 +16740,12 @@
 *)
 	;;
 esac
-echo "$as_me:16742: result: $LD_RPATH_OPT" >&5
+echo "$as_me:16743: result: $LD_RPATH_OPT" >&5
 echo "${ECHO_T}$LD_RPATH_OPT" >&6
 
 case "x$LD_RPATH_OPT" in #(vi
 x-R*)
-	echo "$as_me:16747: checking if we need a space after rpath option" >&5
+	echo "$as_me:16748: checking if we need a space after rpath option" >&5
 echo $ECHO_N "checking if we need a space after rpath option... $ECHO_C" >&6
 	cf_save_LIBS="$LIBS"
 
@@ -16765,7 +16766,7 @@
 LIBS="$cf_add_libs"
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 16768 "configure"
+#line 16769 "configure"
 #include "confdefs.h"
 
 int
@@ -16777,16 +16778,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16780: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16781: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16783: \$? = $ac_status" >&5
+  echo "$as_me:16784: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16786: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16787: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16789: \$? = $ac_status" >&5
+  echo "$as_me:16790: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_rpath_space=no
 else
@@ -16796,13 +16797,13 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 	LIBS="$cf_save_LIBS"
-	echo "$as_me:16799: result: $cf_rpath_space" >&5
+	echo "$as_me:16800: result: $cf_rpath_space" >&5
 echo "${ECHO_T}$cf_rpath_space" >&6
 	test "$cf_rpath_space" = yes && LD_RPATH_OPT="$LD_RPATH_OPT "
 	;;
 esac
 
-echo "$as_me:16805: checking if rpath-hack should be disabled" >&5
+echo "$as_me:16806: checking if rpath-hack should be disabled" >&5
 echo $ECHO_N "checking if rpath-hack should be disabled... $ECHO_C" >&6
 
 # Check whether --enable-rpath-hack or --disable-rpath-hack was given.
@@ -16819,21 +16820,21 @@
   cf_disable_rpath_hack=no
 
 fi;
-echo "$as_me:16822: result: $cf_disable_rpath_hack" >&5
+echo "$as_me:16823: result: $cf_disable_rpath_hack" >&5
 echo "${ECHO_T}$cf_disable_rpath_hack" >&6
 if test "$cf_disable_rpath_hack" = no ; then
 
-echo "$as_me:16826: checking for updated LDFLAGS" >&5
+echo "$as_me:16827: checking for updated LDFLAGS" >&5
 echo $ECHO_N "checking for updated LDFLAGS... $ECHO_C" >&6
 if test -n "$LD_RPATH_OPT" ; then
-	echo "$as_me:16829: result: maybe" >&5
+	echo "$as_me:16830: result: maybe" >&5
 echo "${ECHO_T}maybe" >&6
 
 	for ac_prog in ldd
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:16836: checking for $ac_word" >&5
+echo "$as_me:16837: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_cf_ldd_prog+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -16848,7 +16849,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_cf_ldd_prog="$ac_prog"
-echo "$as_me:16851: found $ac_dir/$ac_word" >&5
+echo "$as_me:16852: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -16856,10 +16857,10 @@
 fi
 cf_ldd_prog=$ac_cv_prog_cf_ldd_prog
 if test -n "$cf_ldd_prog"; then
-  echo "$as_me:16859: result: $cf_ldd_prog" >&5
+  echo "$as_me:16860: result: $cf_ldd_prog" >&5
 echo "${ECHO_T}$cf_ldd_prog" >&6
 else
-  echo "$as_me:16862: result: no" >&5
+  echo "$as_me:16863: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -16873,7 +16874,7 @@
 		cf_rpath_oops=
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 16876 "configure"
+#line 16877 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -16885,16 +16886,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16888: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16889: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16891: \$? = $ac_status" >&5
+  echo "$as_me:16892: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16894: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16895: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16897: \$? = $ac_status" >&5
+  echo "$as_me:16898: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_rpath_oops=`$cf_ldd_prog conftest$ac_exeext | fgrep ' not found' | sed -e 's% =>.*$%%' |sort | uniq`
 		 cf_rpath_list=`$cf_ldd_prog conftest$ac_exeext | fgrep / | sed -e 's%^.*[ 	]/%/%' -e 's%/[^/][^/]*$%%' |sort | uniq`
@@ -16922,7 +16923,7 @@
 					then
 						test -n "$verbose" && echo "	...adding -L$cf_rpath_dir/lib to LDFLAGS for $cf_rpath_src" 1>&6
 
-echo "${as_me:-configure}:16925: testing ...adding -L$cf_rpath_dir/lib to LDFLAGS for $cf_rpath_src ..." 1>&5
+echo "${as_me:-configure}:16926: testing ...adding -L$cf_rpath_dir/lib to LDFLAGS for $cf_rpath_src ..." 1>&5
 
 						LDFLAGS="$LDFLAGS -L$cf_rpath_dir/lib"
 						break
@@ -16934,11 +16935,11 @@
 
 	test -n "$verbose" && echo "	...checking EXTRA_LDFLAGS $EXTRA_LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:16937: testing ...checking EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:16938: testing ...checking EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
 
 test -n "$verbose" && echo "	...checking LDFLAGS $LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:16941: testing ...checking LDFLAGS $LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:16942: testing ...checking LDFLAGS $LDFLAGS ..." 1>&5
 
 cf_rpath_dst=
 for cf_rpath_src in $LDFLAGS
@@ -16975,7 +16976,7 @@
 			then
 				test -n "$verbose" && echo "	...Filter $cf_rpath_src ->$cf_rpath_tmp" 1>&6
 
-echo "${as_me:-configure}:16978: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
+echo "${as_me:-configure}:16979: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
 
 				EXTRA_LDFLAGS="$cf_rpath_tmp $EXTRA_LDFLAGS"
 			fi
@@ -16988,11 +16989,11 @@
 
 test -n "$verbose" && echo "	...checked LDFLAGS $LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:16991: testing ...checked LDFLAGS $LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:16992: testing ...checked LDFLAGS $LDFLAGS ..." 1>&5
 
 test -n "$verbose" && echo "	...checking LIBS $LIBS" 1>&6
 
-echo "${as_me:-configure}:16995: testing ...checking LIBS $LIBS ..." 1>&5
+echo "${as_me:-configure}:16996: testing ...checking LIBS $LIBS ..." 1>&5
 
 cf_rpath_dst=
 for cf_rpath_src in $LIBS
@@ -17029,7 +17030,7 @@
 			then
 				test -n "$verbose" && echo "	...Filter $cf_rpath_src ->$cf_rpath_tmp" 1>&6
 
-echo "${as_me:-configure}:17032: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
+echo "${as_me:-configure}:17033: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
 
 				EXTRA_LDFLAGS="$cf_rpath_tmp $EXTRA_LDFLAGS"
 			fi
@@ -17042,14 +17043,14 @@
 
 test -n "$verbose" && echo "	...checked LIBS $LIBS" 1>&6
 
-echo "${as_me:-configure}:17045: testing ...checked LIBS $LIBS ..." 1>&5
+echo "${as_me:-configure}:17046: testing ...checked LIBS $LIBS ..." 1>&5
 
 	test -n "$verbose" && echo "	...checked EXTRA_LDFLAGS $EXTRA_LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:17049: testing ...checked EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:17050: testing ...checked EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
 
 else
-	echo "$as_me:17052: result: no" >&5
+	echo "$as_me:17053: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -17139,7 +17140,7 @@
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:17142: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:17143: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -17315,7 +17316,7 @@
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:17318: error: ambiguous option: $1
+    { { echo "$as_me:17319: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -17334,7 +17335,7 @@
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:17337: error: unrecognized option: $1
+  -*) { { echo "$as_me:17338: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -17384,7 +17385,7 @@
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS ncurses_cfg.h:ncurses_tst.hin" ;;
-  *) { { echo "$as_me:17387: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:17388: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -17655,7 +17656,7 @@
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:17658: creating $ac_file" >&5
+    { echo "$as_me:17659: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -17673,7 +17674,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:17676: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:17677: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -17686,7 +17687,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:17689: error: cannot find input file: $f" >&5
+           { { echo "$as_me:17690: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -17702,7 +17703,7 @@
       if test -n "$ac_seen"; then
         ac_used=`grep '@datarootdir@' $ac_item`
         if test -z "$ac_used"; then
-          { echo "$as_me:17705: WARNING: datarootdir was used implicitly but not set:
+          { echo "$as_me:17706: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&2;}
@@ -17711,7 +17712,7 @@
       fi
       ac_seen=`grep '${datarootdir}' $ac_item`
       if test -n "$ac_seen"; then
-        { echo "$as_me:17714: WARNING: datarootdir was used explicitly but not set:
+        { echo "$as_me:17715: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&2;}
@@ -17748,7 +17749,7 @@
             ac_init=`egrep '[ 	]*'$ac_name'[ 	]*=' $ac_file`
             if test -z "$ac_init"; then
               ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'`
-              { echo "$as_me:17751: WARNING: Variable $ac_name is used but was not set:
+              { echo "$as_me:17752: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&2;}
@@ -17759,7 +17760,7 @@
     egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out
     if test -s $tmp/out; then
       ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out`
-      { echo "$as_me:17762: WARNING: Some variables may not be substituted:
+      { echo "$as_me:17763: WARNING: Some variables may not be substituted:
 $ac_seen" >&5
 echo "$as_me: WARNING: Some variables may not be substituted:
 $ac_seen" >&2;}
@@ -17808,7 +17809,7 @@
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:17811: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:17812: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -17819,7 +17820,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:17822: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:17823: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -17832,7 +17833,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:17835: error: cannot find input file: $f" >&5
+           { { echo "$as_me:17836: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -17890,7 +17891,7 @@
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:17893: $ac_file is unchanged" >&5
+      { echo "$as_me:17894: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
Index: test/configure.in
Prereq:  1.115 
--- ncurses-5.9-20140831+/test/configure.in	2014-07-19 23:05:32.000000000 +0000
+++ ncurses-5.9-20140906/test/configure.in	2014-09-05 08:43:30.000000000 +0000
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey 1996, etc.
 dnl
-dnl $Id: configure.in,v 1.115 2014/07/19 23:05:32 tom Exp $
+dnl $Id: configure.in,v 1.116 2014/09/05 08:43:30 tom Exp $
 dnl This is a simple configuration-script for the ncurses test programs that
 dnl allows the test-directory to be separately configured against a reference
 dnl system (i.e., sysvr4 curses)
@@ -220,6 +220,7 @@
 typeahead \
 use_default_colors \
 use_env \
+use_extended_names \
 use_screen \
 use_window \
 vid_puts \
Index: test/demo_menus.c
Prereq:  1.53 
--- ncurses-5.9-20140831+/test/demo_menus.c	2014-08-02 17:24:07.000000000 +0000
+++ ncurses-5.9-20140906/test/demo_menus.c	2014-09-05 08:34:06.000000000 +0000
@@ -26,7 +26,7 @@
  * authorization.                                                           *
  ****************************************************************************/
 /*
- * $Id: demo_menus.c,v 1.53 2014/08/02 17:24:07 tom Exp $
+ * $Id: demo_menus.c,v 1.54 2014/09/05 08:34:06 tom Exp $
  *
  * Demonstrate a variety of functions from the menu library.
  * Thomas Dickey - 2005/4/9
@@ -97,7 +97,7 @@
 #define MENU_Y	1
 
 typedef struct {
-    const char *name;
+    NCURSES_CONST char *name;
     void (*func) (int);
     unsigned mask;
 } MENU_DATA;
@@ -112,6 +112,8 @@
 
 static bool loaded_file = FALSE;
 
+static char empty[1];
+
 /* Common function to allow ^T to toggle trace-mode in the middle of a test
  * so that trace-files can be made smaller.
  */
@@ -356,8 +358,8 @@
     int n;
 
     for (n = 0; table[n].name != 0; ++n) {
-	*ip = new_item(table[n].name, "");
-	set_item_userptr(*ip, &table[n]);
+	*ip = new_item(table[n].name, empty);
+	set_item_userptr(*ip, (void *) &table[n]);
 	++ip;
     }
     *ip = (ITEM *) 0;
@@ -464,8 +466,8 @@
     for (i = 0; ap[i].name != 0; ++i) {
 	ap[i].func = call_select;
 	ap[i].mask = (unsigned) i;
-	*ip = new_item(ap[i].name, "");
-	set_item_userptr(*ip, &table[i]);
+	*ip = new_item(ap[i].name, empty);
+	set_item_userptr(*ip, (void *) &table[i]);
 	++ip;
     }
     *ip = 0;
@@ -526,8 +528,8 @@
     int n;
 
     for (n = 0; t_tbl[n].name != 0; n++) {
-	*ip = new_item(t_tbl[n].name, "");
-	set_item_userptr(*ip, &t_tbl[n]);
+	*ip = new_item(t_tbl[n].name, empty);
+	set_item_userptr(*ip, (void *) &t_tbl[n]);
 	++ip;
     }
     *ip = (ITEM *) 0;
@@ -683,8 +685,8 @@
     int n;
 
     for (n = 0; table[n].name != 0; ++n) {
-	*ip = new_item(table[n].name, "");
-	set_item_userptr(*ip, &table[n]);
+	*ip = new_item(table[n].name, empty);
+	set_item_userptr(*ip, (void *) &table[n]);
 	++ip;
     }
     *ip = (ITEM *) 0;
Index: test/demo_termcap.c
Prereq:  1.43 
--- ncurses-5.9-20140831+/test/demo_termcap.c	2014-08-31 23:11:39.000000000 +0000
+++ ncurses-5.9-20140906/test/demo_termcap.c	2014-09-05 08:44:49.000000000 +0000
@@ -29,7 +29,7 @@
 /*
  * Author: Thomas E. Dickey
  *
- * $Id: demo_termcap.c,v 1.43 2014/08/31 23:11:39 tom Exp $
+ * $Id: demo_termcap.c,v 1.45 2014/09/05 08:44:49 tom Exp $
  *
  * A simple demo of the termcap interface.
  */
@@ -369,6 +369,8 @@
 static void
 parse_description(const char *input_name)
 {
+    static char empty[1];
+
     FILE *fp;
     struct stat sb;
     size_t count_bools = 0;
@@ -585,10 +587,10 @@
 			 * known order.
 			 */
 			if (count_strs) {
-			    my_strvalues[count_strs] = "";
+			    my_strvalues[count_strs] = empty;
 			    my_strcodes[count_strs++] = &my_blob[j];
 			} else if (count_nums) {
-			    my_numvalues[count_nums] = "";
+			    my_numvalues[count_nums] = empty;
 			    my_numcodes[count_nums++] = &my_blob[j];
 			} else {
 			    my_boolcodes[count_bools++] = &my_blob[j];
@@ -660,7 +662,7 @@
 {
     int pass;
     size_t count;
-    size_t length = 0;
+    size_t length = 1;
     char **result = 0;
     char *blob = 0;
     char *unused = 0;
@@ -776,7 +778,7 @@
 	}
     }
 
-#if NCURSES_XNAMES
+#if HAVE_USE_EXTENDED_NAMES
     use_extended_names(x_opt);
 #endif
 
Index: test/demo_terminfo.c
Prereq:  1.34 
--- ncurses-5.9-20140831+/test/demo_terminfo.c	2014-08-31 23:11:39.000000000 +0000
+++ ncurses-5.9-20140906/test/demo_terminfo.c	2014-09-05 08:44:49.000000000 +0000
@@ -29,7 +29,7 @@
 /*
  * Author: Thomas E. Dickey
  *
- * $Id: demo_terminfo.c,v 1.34 2014/08/31 23:11:39 tom Exp $
+ * $Id: demo_terminfo.c,v 1.37 2014/09/05 08:44:49 tom Exp $
  *
  * A simple demo of the terminfo interface.
  */
@@ -306,6 +306,12 @@
     del_curterm(cur_term);
 }
 
+#if USE_CODE_LISTS
+#define fullname(type,n) f_opt ? type##fnames[n] : my_##type##codes[n]
+#else
+#define fullname(type,n) my_##type##codes[n]
+#endif
+
 static void
 demo_terminfo(char *name)
 {
@@ -321,7 +327,7 @@
 
     if (b_opt) {
 	for (n = 0;; ++n) {
-	    cap = f_opt ? boolfnames[n] : my_boolcodes[n];
+	    cap = fullname(bool, n);
 	    if (cap == 0)
 		break;
 	    dumpit(cap);
@@ -330,7 +336,7 @@
 
     if (n_opt) {
 	for (n = 0;; ++n) {
-	    cap = f_opt ? numfnames[n] : my_numcodes[n];
+	    cap = fullname(num, n);
 	    if (cap == 0)
 		break;
 	    dumpit(cap);
@@ -339,7 +345,7 @@
 
     if (s_opt) {
 	for (n = 0;; ++n) {
-	    cap = f_opt ? strfnames[n] : my_strcodes[n];
+	    cap = fullname(str, n);
 	    if (cap == 0)
 		break;
 	    dumpit(cap);
@@ -411,6 +417,8 @@
 static void
 parse_description(const char *input_name)
 {
+    static char empty[1];
+
     FILE *fp;
     struct stat sb;
     size_t count_bools = 0;
@@ -628,10 +636,10 @@
 			 * known order.
 			 */
 			if (count_strs) {
-			    my_strvalues[count_strs] = "";
+			    my_strvalues[count_strs] = empty;
 			    my_strcodes[count_strs++] = &my_blob[j];
 			} else if (count_nums) {
-			    my_numvalues[count_nums] = "";
+			    my_numvalues[count_nums] = empty;
 			    my_numcodes[count_nums++] = &my_blob[j];
 			} else {
 			    my_boolcodes[count_bools++] = &my_blob[j];
@@ -706,7 +714,7 @@
 {
     int pass;
     size_t count;
-    size_t length = 0;
+    size_t length = 1;
     char **result = 0;
     char *blob = 0;
     char *unused = 0;
@@ -825,7 +833,7 @@
 	}
     }
 
-#if NCURSES_XNAMES
+#if HAVE_USE_EXTENDED_NAMES
     use_extended_names(x_opt);
 #endif
 
Index: test/edit_field.c
Prereq:  1.23 
--- ncurses-5.9-20140831+/test/edit_field.c	2014-07-26 08:30:51.000000000 +0000
+++ ncurses-5.9-20140906/test/edit_field.c	2014-09-05 08:39:52.000000000 +0000
@@ -26,7 +26,7 @@
  * authorization.                                                           *
  ****************************************************************************/
 /*
- * $Id: edit_field.c,v 1.23 2014/07/26 08:30:51 tom Exp $
+ * $Id: edit_field.c,v 1.24 2014/09/05 08:39:52 tom Exp $
  *
  * A wrapper for form_driver() which keeps track of the user's editing changes
  * for each field, and makes the resulting length available as a
@@ -389,7 +389,7 @@
 	    length = before_off;
 	    break;
 	case REQ_CLR_EOL:
-	    if (before_row + 1 == before->rows)
+	    if ((int) (before_row + 1) == (int) (before->rows))
 		length = before_off;
 	    break;
 	case REQ_CLR_FIELD:
Index: test/test.priv.h
Prereq:  1.128 
--- ncurses-5.9-20140831+/test/test.priv.h	2014-08-02 23:40:53.000000000 +0000
+++ ncurses-5.9-20140906/test/test.priv.h	2014-09-05 08:45:09.000000000 +0000
@@ -29,7 +29,7 @@
 /****************************************************************************
  *  Author: Thomas E. Dickey                    1996-on                     *
  ****************************************************************************/
-/* $Id: test.priv.h,v 1.128 2014/08/02 23:40:53 tom Exp $ */
+/* $Id: test.priv.h,v 1.130 2014/09/05 08:45:09 tom Exp $ */
 
 #ifndef __TEST_PRIV_H
 #define __TEST_PRIV_H 1
@@ -230,6 +230,10 @@
 #define HAVE_USE_ENV 0
 #endif
 
+#ifndef HAVE_USE_EXTENDED_NAMES
+#define HAVE_USE_EXTENDED_NAMES 0
+#endif
+
 #ifndef HAVE_USE_SCREEN
 #define HAVE_USE_SCREEN 0
 #endif
@@ -663,9 +667,9 @@
 #define ExitProgram(code) _nc_free_tinfo(code)
 #endif
 #else
-#define typeMalloc(type,n) (type *) malloc((n) * sizeof(type))
-#define typeCalloc(type,elts) (type *) calloc((elts), sizeof(type))
-#define typeRealloc(type,n,p) (type *) realloc(p, (n) * sizeof(type))
+#define typeMalloc(type,n) (type *) malloc((size_t)(n) * sizeof(type))
+#define typeCalloc(type,elts) (type *) calloc((size_t)(elts), sizeof(type))
+#define typeRealloc(type,n,p) (type *) realloc(p, (size_t)(n) * sizeof(type))
 #endif
 
 #ifndef ExitProgram
